Bug 337229 - KDevelop crashes when I move to the review mode
Summary: KDevelop crashes when I move to the review mode
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: part (show other bugs)
Version: Git
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords: drkonqi
: 337322 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-07-08 11:02 UTC by Aleix Pol
Modified: 2014-07-20 01:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleix Pol 2014-07-08 11:02:39 UTC
Application: kdevelop (4.6.90)
KDE Platform Version: 4.13.60 (Compiled from sources)
Qt Version: 4.8.6
Operating System: Linux 3.15.3-1-ARCH x86_64
Distribution: "Arch Linux"

-- Information about the crash:
It has happened many times already. I switch and I get exactly this crash.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f9d2ffc7800 (LWP 16062))]

Thread 17 (Thread 0x7f9d11d24700 (LWP 16067)):
#0  0x00007f9d2a3e9b2f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f9d25447fab in ?? () from /usr/lib/libQtScript.so.4
#2  0x00007f9d25447fe9 in ?? () from /usr/lib/libQtScript.so.4
#3  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 16 (Thread 0x7f9c90c62700 (LWP 16073)):
#0  0x00007f9d2a3e9ed8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f9d2a677384 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d27fb11f8 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x2385910) at /home/kde-devel/src/kdevplatform/language/duchain/duchain.cpp:283
#3  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7f9c81860700 (LWP 16074)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7f9c8105f700 (LWP 16075)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a756293 in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7f9c73fff700 (LWP 16081)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d280d9395 in KDevelop::CompletionWorkerThread::run (this=0x11a03b0) at /home/kde-devel/src/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7f9c71f63700 (LWP 16082)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d280d9395 in KDevelop::CompletionWorkerThread::run (this=0x10d1280) at /home/kde-devel/src/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7f9c6ad6a700 (LWP 16097)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7f9c6b56b700 (LWP 16110)):
#0  0x00007f9d2a3e9b2f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f9d2a6773a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2e2b6378 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1a1c160, th=0x48d9560) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:370
#3  0x00007f9d2e2ba354 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x1a1c4c0, th=0x48d9560) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:77
#4  0x00007f9d2e2b62f6 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x1a1c160, th=0x48d9560) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:361
#5  0x00007f9d2e2ba2f8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1a1c4c0, th=0x48d9560, previous=0x179da00) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:68
#6  0x00007f9d2e2b62bd in ThreadWeaver::WeaverImpl::applyForWork (this=0x1a1c160, th=0x48d9560, previous=0x179da00) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00007f9d2e2b80e9 in ThreadWeaver::Thread::run (this=0x48d9560) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/Thread.cpp:98
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7f9c6a569700 (LWP 16111)):
#0  0x00007f9d2a3e9b2f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f9d2a6773a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2e2b6378 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1a1c160, th=0x7f9c4c0015d0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:370
#3  0x00007f9d2e2ba354 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x1a1c4c0, th=0x7f9c4c0015d0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:77
#4  0x00007f9d2e2b62f6 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x1a1c160, th=0x7f9c4c0015d0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:361
#5  0x00007f9d2e2ba2f8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1a1c4c0, th=0x7f9c4c0015d0, previous=0x0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:68
#6  0x00007f9d2e2b62bd in ThreadWeaver::WeaverImpl::applyForWork (this=0x1a1c160, th=0x7f9c4c0015d0, previous=0x0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00007f9d2e2ba31f in ThreadWeaver::WorkingHardState::applyForWork (this=0x1a1c4c0, th=0x7f9c4c0015d0, previous=0x0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f9d2e2b62bd in ThreadWeaver::WeaverImpl::applyForWork (this=0x1a1c160, th=0x7f9c4c0015d0, previous=0x0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#9  0x00007f9d2e2ba31f in ThreadWeaver::WorkingHardState::applyForWork (this=0x1a1c4c0, th=0x7f9c4c0015d0, previous=0x67c7b80) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f9d2e2b62bd in ThreadWeaver::WeaverImpl::applyForWork (this=0x1a1c160, th=0x7f9c4c0015d0, previous=0x67c7b80) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#11 0x00007f9d2e2b80e9 in ThreadWeaver::Thread::run (this=0x7f9c4c0015d0) at /home/kde-devel/src/kdelibs/threadweaver/Weaver/Thread.cpp:98
#12 0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#13 0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#14 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7f9c69d68700 (LWP 16177)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7f9c68d66700 (LWP 16183)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7f9c637fe700 (LWP 16209)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7f9c627fc700 (LWP 16321)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7f9c617fa700 (LWP 16334)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7f9c60ff9700 (LWP 16355)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7f9c607f8700 (LWP 16362)):
#0  0x00007f9d298e9553 in select () from /usr/lib/libc.so.6
#1  0x00007f9d2a7a3d57 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f9d2a7a9254 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f9d2a7a96a2 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f9d2a6747ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f9d2a759943 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f9d2a676ebf in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f9d2a3e5124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f9d298f04bd in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7f9d2ffc7800 (LWP 16062)):
[KCrash Handler]
#6  0x00007f9c834e646e in KateView::renderer (this=0x0) at /home/kde-devel/src/kate/part/view/kateview.cpp:1666
#7  0x00007f9c8345a0b5 in KateDocument::defStyleNum (this=0x4816ce0, line=0, column=0) at /home/kde-devel/src/kate/part/document/katedocument.cpp:5495
#8  0x00007f9c8345a1d0 in KateDocument::isComment (this=0x4816ce0, line=0, column=0) at /home/kde-devel/src/kate/part/document/katedocument.cpp:5508
#9  0x00007f9c834d9f20 in (anonymous namespace)::hasCommentInFirstLine (doc=0x4816ce0) at /home/kde-devel/src/kate/part/view/kateview.cpp:106
#10 0x00007f9c834e6b78 in KateView::updateConfig (this=0x481c800) at /home/kde-devel/src/kate/part/view/kateview.cpp:1758
#11 0x00007f9c8359150c in KateViewConfig::updateConfig (this=0x3a42670) at /home/kde-devel/src/kate/part/utils/kateconfig.cpp:1401
#12 0x00007f9c8358c70a in KateConfig::configEnd (this=0x3a42670) at /home/kde-devel/src/kate/part/utils/kateconfig.cpp:76
#13 0x00007f9c83590aa3 in KateViewConfig::readConfig (this=0x3a42670, config=...) at /home/kde-devel/src/kate/part/utils/kateconfig.cpp:1324
#14 0x00007f9c835b1812 in KateGlobal::readConfig (this=0x3954610, config=0x11ef7e0) at /home/kde-devel/src/kate/part/utils/kateglobal.cpp:270
#15 0x00007f9d2f3dd52a in KDevelop::PartController::createTextPart (this=0x11287a0, encoding=...) at /home/kde-devel/src/kdevplatform/shell/partcontroller.cpp:153
#16 0x00007f9d2f3dfd55 in KDevelop::TextDocument::createViewWidget (this=0x7f76ac0, parent=0x7f4e500) at /home/kde-devel/src/kdevplatform/shell/textdocument.cpp:428
#17 0x00007f9d2f3e2640 in KDevelop::TextEditorWidget::initialize (this=0x7f4e500) at /home/kde-devel/src/kdevplatform/shell/textdocument.cpp:855
#18 0x00007f9d2f3e24e4 in KDevelop::TextEditorWidget::TextEditorWidget (this=0x7f4e500, view=0x7ede800, parent=0x4c320c0) at /home/kde-devel/src/kdevplatform/shell/textdocument.cpp:842
#19 0x00007f9d2f3e178d in KDevelop::TextView::createWidget (this=0x7ede800, parent=0x4c320c0) at /home/kde-devel/src/kdevplatform/shell/textdocument.cpp:732
#20 0x00007f9d2d8c6fb2 in Sublime::View::widget (this=0x7ede800, parent=0x4c320c0) at /home/kde-devel/src/kdevplatform/sublime/view.cpp:78
#21 0x00007f9d2d8c0fc6 in Sublime::MainWindowPrivate::ViewCreator::operator() (this=0x7fffaa6bc9f0, index=0x1982fc0) at /home/kde-devel/src/kdevplatform/sublime/mainwindow_p.cpp:327
#22 0x00007f9d2d8c5475 in Sublime::Area::walkViewsInternal<Sublime::MainWindowPrivate::ViewCreator> (this=0x1984370, op=..., index=0x1982fc0) at /home/kde-devel/src/kdevplatform/sublime/areawalkers.h:32
#23 0x00007f9d2d8c410b in Sublime::Area::walkViews<Sublime::MainWindowPrivate::ViewCreator> (this=0x1984370, op=..., index=0x1982fc0) at /home/kde-devel/src/kdevplatform/sublime/areawalkers.h:48
#24 0x00007f9d2d8c1e9a in Sublime::MainWindowPrivate::viewAdded (this=0x192da20, index=0x1982fc0, view=0x7ede800) at /home/kde-devel/src/kdevplatform/sublime/mainwindow_p.cpp:504
#25 0x00007f9d2d8bd111 in Sublime::MainWindow::qt_static_metacall (_o=0x1948430, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x7fffaa6bcb90) at sublime/mainwindow.moc:103
#26 0x00007f9d2a78d30a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#27 0x00007f9d2d8a75b1 in Sublime::Area::viewAdded (this=0x1984370, _t1=0x1982fc0, _t2=0x7ede800) at sublime/area.moc:131
#28 0x00007f9d2d8a529a in Sublime::Area::addView (this=0x1984370, view=0x7ede800, index=0x1982fc0, after=0x0) at /home/kde-devel/src/kdevplatform/sublime/area.cpp:173
#29 0x00007f9d2d8a530e in Sublime::Area::addView (this=0x1984370, view=0x7ede800, after=0x0) at /home/kde-devel/src/kdevplatform/sublime/area.cpp:185
#30 0x00007f9d2f3ee797 in KDevelop::DocumentControllerPrivate::openDocumentInternal (this=0x1a0ebd0, doc=0x7f76ae0, range=..., activationParams=..., buddy=0x0) at /home/kde-devel/src/kdevplatform/shell/documentcontroller.cpp:495
#31 0x00007f9d2f3ed945 in KDevelop::DocumentControllerPrivate::openDocumentInternal (this=0x1a0ebd0, inputUrl=..., prefName=..., range=..., encoding=..., activationParams=..., buddy=0x0) at /home/kde-devel/src/kdevplatform/shell/documentcontroller.cpp:328
#32 0x00007f9d2f3e6ca6 in KDevelop::DocumentController::openDocument (this=0x1a0e5f0, inputUrl=..., range=..., activationParams=..., encoding=..., buddy=0x0) at /home/kde-devel/src/kdevplatform/shell/documentcontroller.cpp:720
#33 0x00007f9c85515cd4 in PatchReviewPlugin::updateReview (this=0x38e8e10) at /home/kde-devel/src/kdevplatform/plugins/patchreview/patchreview.cpp:414
#34 0x00007f9c85517a03 in PatchReviewPlugin::qt_static_metacall (_o=0x38e8e10, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x18c1b50) at plugins/patchreview/patchreview.moc:76
#35 0x00007f9d2a7916ae in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#36 0x00007f9d2b20ef0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#37 0x00007f9d2b21548d in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#38 0x00007f9d2c1ec22f in KApplication::notify (this=0x7fffaa6be030, receiver=0x38e8e10, event=0x3910150) at /home/kde-devel/src/kdelibs/kdeui/kernel/kapplication.cpp:311
#39 0x00007f9d2a77958d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#40 0x00007f9d2a77c6dd in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#41 0x00007f9d2b2ac72c in ?? () from /usr/lib/libQtGui.so.4
#42 0x00007f9d2a77815f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#43 0x00007f9d2a778455 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#44 0x00007f9d2a77d719 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#45 0x0000000000412b2a in main (argc=3, argv=0x7fffaa6bfd28) at /home/kde-devel/src/kdevelop/app/main.cpp:564

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-07-09 01:32:22 UTC

*** This bug has been marked as a duplicate of bug 328271 ***
Comment 2 Kevin Funk 2014-07-10 12:38:31 UTC
*** Bug 337322 has been marked as a duplicate of this bug. ***
Comment 3 Kevin Funk 2014-07-10 12:40:25 UTC
Is this really a duplicate of bug 328271? The backtrace is different -- and I just reproduced with today's Kate master.

Reopening.
Comment 4 Milian Wolff 2014-07-11 13:41:15 UTC
Git commit a8df8a551793a2b612b87eb655f7485a96898507 by Milian Wolff.
Committed on 11/07/2014 at 13:35.
Pushed by mwolff into branch 'master'.

Fix crash on access of Document::defStyleNum without active view.

M  +9    -4    part/document/katedocument.cpp
M  +7    -0    tests/katedocument_test.cpp
M  +2    -0    tests/katedocument_test.h

http://commits.kde.org/kate/a8df8a551793a2b612b87eb655f7485a96898507
Comment 5 Milian Wolff 2014-07-11 13:42:57 UTC
Git commit 0c9f092d3128f31ccac46667b8d3857f560804f1 by Milian Wolff.
Committed on 11/07/2014 at 13:42.
Pushed by mwolff into branch 'master'.

Fix crash on access of Document::defStyleNum without active view.

forward port of commit a8df8a551793a2b612b87eb655f7485a96898507

M  +8    -0    autotests/src/katedocument_test.cpp
M  +2    -0    autotests/src/katedocument_test.h
M  +8    -4    src/document/katedocument.cpp

http://commits.kde.org/ktexteditor/0c9f092d3128f31ccac46667b8d3857f560804f1
Comment 6 Milian Wolff 2014-07-11 13:47:14 UTC
Git commit fcb973fe5b672a13397a7bd804b92db8b3a02a97 by Milian Wolff.
Committed on 11/07/2014 at 13:35.
Pushed by mwolff into branch 'KDE/4.13'.

Fix crash on access of Document::defStyleNum without active view.
(cherry picked from commit a8df8a551793a2b612b87eb655f7485a96898507)

M  +9    -4    part/document/katedocument.cpp
M  +7    -0    tests/katedocument_test.cpp
M  +2    -0    tests/katedocument_test.h

http://commits.kde.org/kate/fcb973fe5b672a13397a7bd804b92db8b3a02a97
Comment 7 Milian Wolff 2014-07-11 13:47:33 UTC
Git commit b590c0973cbfbd016db4fb4d313d7b29faf0149c by Milian Wolff.
Committed on 11/07/2014 at 13:35.
Pushed by mwolff into branch 'KDE/4.14'.

Fix crash on access of Document::defStyleNum without active view.
(cherry picked from commit a8df8a551793a2b612b87eb655f7485a96898507)

M  +9    -4    part/document/katedocument.cpp
M  +7    -0    tests/katedocument_test.cpp
M  +2    -0    tests/katedocument_test.h

http://commits.kde.org/kate/b590c0973cbfbd016db4fb4d313d7b29faf0149c